# Method: advertiserGroups.update

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/update#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/update#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/update#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/update#try-it)

Updates an existing advertiser group.

### HTTP request

`PUT https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/advertiserGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups#AdvertiserGroup`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups#AdvertiserGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`